Page MenuHomePhabricator

Copyright update
ClosedPublic

Authored by CLOVIS on Feb 1 2019, 8:06 PM.

Details

Summary
  • Updated the copyrights for 2019
Test Plan

Nothing, no actual change was done

Diff Detail

Repository
rLIBWFJVA WildFyre Java Libary
Branch
T308-update-copyrights (branched from master)
Lint
Lint OK
Unit
Unit Tests Skipped
Build Status
Buildable 628
Build 628: arc lint + arc unit

Event Timeline

CLOVIS created this revision.Feb 1 2019, 8:06 PM
Info-Screen accepted this revision.Feb 2 2019, 12:22 PM
This revision is now accepted and ready to land.Feb 2 2019, 12:22 PM
WyldBot accepted this revision.Feb 2 2019, 3:11 PM
CLOVIS planned changes to this revision.Feb 2 2019, 6:20 PM

You can accept it if you want, but arc lint reports some errors for some reason, this is not getting merged until I completely understand where that comes from.

And, yes, when I manually run the build scripts, there are no errors.

CLOVIS updated this revision to Diff 782.Feb 9 2019, 8:45 PM
CLOVIS edited the summary of this revision. (Show Details)

Rebasing to master to get the new unit tester that is not buggy

WyldBot accepted this revision.Feb 20 2019, 4:41 PM
This revision is now accepted and ready to land.Feb 20 2019, 4:41 PM
CLOVIS updated this revision to Diff 831.Apr 8 2019, 11:33 AM

Rebasing on master

This revision now requires review to proceed.Apr 8 2019, 11:33 AM

Why the change back to 2018 in src/test/java/net/wildfyre/http/RequestTest.kt and src/test/java/net/wildfyre/users/UserTest.java.

WyldBot requested changes to this revision.Apr 8 2019, 4:41 PM
This revision now requires changes to proceed.Apr 8 2019, 4:41 PM

Why the change back to 2018 in src/test/java/net/wildfyre/http/RequestTest.kt and src/test/java/net/wildfyre/users/UserTest.java.

Both files are marked with copyright 2019, I don't understand your comment

CLOVIS requested review of this revision.Apr 10 2019, 3:05 AM

Latest history diff between your last diff and the one before that shows this: https://phabricator.wildfyre.net/D212?vs=782&id=831#toc

WyldBot requested changes to this revision.Apr 11 2019, 2:37 AM

Please re arc diff

This revision now requires changes to proceed.Apr 11 2019, 2:37 AM
CLOVIS updated this revision to Diff 849.Apr 18 2019, 4:13 PM
  • Trying to update the diff to see if the display bug is fixed
Harbormaster completed remote builds in B628: Diff 849.

GitLab too confirms that the diff shown by @Info-Screen is buggy: RequestTest.kt and UserTest.java

I don't know what's going on here, Phabricator (when displaying the files), GitLab and my local version all agree that the copyright in those files is for 2019. Maybe the Phabricator diff tool didn't like some rebase at some point?

WyldBot accepted this revision.Apr 18 2019, 6:16 PM
This revision is now accepted and ready to land.Apr 18 2019, 6:16 PM
CLOVIS closed this revision.Apr 19 2019, 2:09 AM